import { OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { UntypedFormControl } from '@angular/forms';
import { MatSort } from '@angular/material/sort';
import { PageEvent } from '../../../data-table/data-table.model';
import { HttpService } from '../../../core/http.service';
import * as i0 from "@angular/core";
export declare class EmailSubscriptionTypeListComponent implements OnInit {
    private dialog;
    private http;
    emailSubscriptionTypeList: any[];
    pageEvent: PageEvent;
    filters: any;
    search: UntypedFormControl;
    sort: MatSort;
    displayColumns: UntypedFormControl;
    displayedColumns: any[];
    availableDisplayColumns: any[];
    constructor(dialog: MatDialog, http: HttpService);
    ngOnInit(): void;
    get selectedColumns(): string[];
    columnsChange(): void;
    initializeData(): void;
    addEmailSubscriptionType(): void;
    editEmailSubscriptionType(event: any, emailSubscriptionType: any): void;
    deleteEmailSubscriptionType(event: any, emailSubscriptionType: any): void;
    onScroll(): void;
    changeSort(event: any): void;
    reload(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmailSubscriptionTypeListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmailSubscriptionTypeListComponent, "app-email-subscription-type-list", never, {}, {}, never, never, false, never>;
}
